

apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: ingress-routes-ok-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
##### CBD
    - match: Host(`{{ .Values.branchSubdomain }}cbd.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`) && PathPrefix(`/api`)
      kind: Rule
      middlewares:
        - name: traefik-api-strip-prefix@kubernetescrd
      {{- if $.Values.traefikForwardAuthEnabled }}
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      {{- end }}
      services:
        - name: contact-be-service
          port: 9155
  tls:
    certResolver: ourcertresolver